
Conversion Tools - Feature #1517

Feature # 1511 (New): Reporting v3

move to a completely database-backed approach to displaying the conversion artifacts (.cache,

.lexer...)

09/10/2012 12:19 PM - Greg Shah

Status: WIP Start date: 09/10/2012

Priority: Normal Due date:  

Assignee:  % Done: 70%

Category:  Estimated time: 16.00 hours

Target version: Reporting 3.0   

billable: No vendor_id: GCD

Description

History

#1 - 09/26/2012 08:08 AM - Greg Shah

- Target version set to Milestone 2

- Estimated time set to 16.00

#2 - 11/21/2012 09:08 AM - Greg Shah

- Target version changed from Milestone 2 to 25

#3 - 11/16/2016 01:34 PM - Greg Shah

- Target version changed from 25 to Reporting 3.0

#4 - 09/22/2017 02:35 PM - Eric Faulhaber

- % Done changed from 0 to 70

- Status changed from New to WIP

Current status in FWD 3.1:

Cache files and un-preprocessed external procedure source files are stored in the rptdb relational database and are served from there.

Lexer and parser views have been omitted intentionally from the v3 reporting implementation.

AST files are still read from the file system. Ultimately, these probably should be stored in and served from a graph database.
